> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# cases cursor pagination



## OpenAPI

````yaml https://integration.teceo.co/aos get /v1/cases
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/cases:
    get:
      tags:
        - 'Cases:'
      summary: cases cursor pagination
      operationId: CaseController_findAll_v1
      parameters:
        - name: changeStartDate
          required: false
          in: query
          description: filter by change start date
          schema:
            format: date-time
            type: string
        - name: changeEndDate
          required: false
          in: query
          description: filter by change end date
          schema:
            format: date-time
            type: string
        - name: externalCode
          required: false
          in: query
          description: filter by case external code
          schema:
            type: string
        - name: caseTypeCode
          required: false
          in: query
          description: filter by case type code
          schema:
            type: number
        - name: statusBase
          required: false
          in: query
          description: filter by status base
          schema:
            type: array
            items:
              type: string
              enum:
                - new
                - open
                - pending
                - closed
        - name: customerCpfCnpj
          required: false
          in: query
          description: filter by customer CPF/CNPJ
          schema:
            type: string
        - name: cursorId
          required: false
          in: query
          description: cursor of the last loaded case
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            maximum: 50
            default: 10
            type: number
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CaseListDTO'
                  nextCursor:
                    type: string
                    nullable: true
                    description: when the field is null, it means that pagination has ended
          description: cases cursor pagination
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
      security:
        - ApiKey: []
components:
  schemas:
    CaseListDTO:
      type: object
      properties:
        id:
          type: string
        code:
          type: string
        externalCode:
          type: string
          nullable: true
        subject:
          type: string
        description:
          type: string
        openingDate:
          format: date-time
          type: string
        isIntegration:
          type: boolean
        status:
          type: string
        statusBase:
          type: string
        caseTypeCode:
          type: number
        caseTypeName:
          type: string
        customerId:
          type: string
        customerCpfCnpj:
          type: string
        authorName:
          type: string
          nullable: true
        authorSurname:
          type: string
          nullable: true
        authorEmail:
          type: string
          nullable: true
        responsibleName:
          type: string
          nullable: true
        responsibleSurname:
          type: string
          nullable: true
        responsibleEmail:
          type: string
          nullable: true
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - code
        - externalCode
        - subject
        - description
        - openingDate
        - isIntegration
        - status
        - statusBase
        - caseTypeCode
        - caseTypeName
        - customerId
        - customerCpfCnpj
        - authorName
        - authorSurname
        - authorEmail
        - responsibleName
        - responsibleSurname
        - responsibleEmail
        - createdAt
        - updatedAt
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.